(* This is a package for primarily my private use. *)
(* Primarily a set of vector and matrix arthematic *)
(* Some functions included in this package should 
					be used under rather restricted conditions.   *)
(*                         ver. 2.0                *)
(*                   written by Koun SHIRAI        *)

BeginPackage["ClassAlgebra`"]

ClassMulti::usage="ClassMulti[c1,c2] represents a class multiplication
 of the group."


Begin["`private`"]

ClassMulti[x_?MatrixQ,y_List]:=x.#& /@ y

ClassMulti[x_List,y_?MatrixQ]:=#.y& /@ x

ClassMulti[x_List,y_List]:=Block[{i,j},
	Flatten[
	Table[x[[i]].y[[j]],{i,Length[x]},{j,Length[y]}],1]
]

End[]

EndPackage[]